<?php
/**
 * Register custom style.
 */

if ( ! function_exists( 'rola_custom_style' ) ) {
    function rola_custom_style(){
        
        $custom_style ='';
        global $rola_opt;

        // Disable Sticky Header
        if( isset ($rola_opt['disable_sticky_header']) ):
            if( $rola_opt['disable_sticky_header'] == true ):
                $custom_style .='
                .navbar-area.is-sticky {
                    display: none;
                }
                ';
            endif;
        endif;

        // Custom Css
        if( isset($rola_opt['css_code'] ) && !empty($rola_opt['css_code']) ):
            $custom_style .= $rola_opt['css_code'];
        endif;

        if( !is_user_logged_in() ){ 
            $custom_style .=' #wpadminbar {
                display: none;
            }';
        }

        wp_add_inline_style('rola-main-style', $custom_style);

        // Custom Js
        $custom_script ='';
        if( isset($rola_opt['js_code'] )){
            $custom_script .= $rola_opt['js_code'];
        }
        
        wp_add_inline_script( 'rola-main', $custom_script );
    }
}
add_action( 'wp_enqueue_scripts', 'rola_custom_style' );