<?php 
/**
 * Social Link
 * @package WordPress
 * @subpackage Rola
*/ 

if ( ! function_exists( 'rola_social_link' ) ) :
    function rola_social_link(){ 
        global $rola_opt;

        if( isset( $rola_opt['rola_social_target'] ) ) {
            $target = $rola_opt['rola_social_target'];
        } else {
            $target = '_blank';
        } ?>

        <ul class="top-header-optional">
            <li>
                <?php if (isset( $rola_opt['twitter_url'] ) && $rola_opt['twitter_url'] ) { ?>
                    <a target="<?php echo esc_attr( $target ); ?>" href="<?php  echo esc_url( $rola_opt['twitter_url'] );?>" > <i class="bx bxl-twitter"></i></a>
                <?php  } ?>

                <?php if (isset( $rola_opt['facebook_url'] ) && $rola_opt['facebook_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url( $rola_opt['facebook_url'] ); ?>"> <i class="bx bxl-facebook"></i></a>
                <?php  } ?>

                <?php if (isset( $rola_opt['instagram_url'] ) && $rola_opt['instagram_url'] ) { ?>
                    <a target="<?php echo esc_attr( $target ); ?>" href="<?php  echo esc_url( $rola_opt['instagram_url'] ); ?>"> <i class="bx bxl-instagram"></i></a>
                <?php  } ?>

                <?php 
                if (isset($rola_opt['linkedin_url'] ) && $rola_opt['linkedin_url'] ) { ?>
                    <a target="<?php echo esc_attr( $target ); ?>" href="<?php  echo esc_url( $rola_opt['linkedin_url'] );?>" > <i class="bx bxl-linkedin"></i></a>
                <?php  } ?>

                <?php 
                if (isset( $rola_opt['pinterest_url'] ) && $rola_opt['pinterest_url'] ) { ?>
                    <a target="<?php echo esc_attr( $target ); ?>" href="<?php echo esc_url( $rola_opt['pinterest_url'] );?>" > <i class="bx bxl-pinterest"></i></a>
                <?php  } ?>

                <?php if (isset( $rola_opt['dribbble_url'] ) && $rola_opt['dribbble_url'] ) { ?>
                    <a target="<?php echo esc_attr( $target ); ?>" href="<?php echo esc_url( $rola_opt['dribbble_url'] );?>" > <i class="bx bxl-dribbble"></i></a>
                <?php } ?>

                <?php if (isset( $rola_opt['tumblr_url'] ) && $rola_opt['tumblr_url'] ) { ?>
                    <a target="<?php echo esc_attr( $target ); ?>" href="<?php  echo esc_url( $rola_opt['tumblr_url'] );?>" > <i class="bx bxl-tumblr"></i></a>
                <?php } ?>

                <?php 
                if (isset($rola_opt['youtube_url'] ) && $rola_opt['youtube_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($rola_opt['youtube_url']);?>" > <i class="bx bxl-youtube"></i></a>
                <?php  } ?>

                <?php if (isset($rola_opt['flickr_url'] ) && $rola_opt['flickr_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($rola_opt['flickr_url']);?>" > <i class="bx bxl-flickr"></i></a>
                <?php } ?>

                <?php if (isset($rola_opt['behance_url'] ) && $rola_opt['behance_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($rola_opt['behance_url']);?>" > <i class="bx bxl-behance"></i></a>
                <?php } ?>

                <?php if (isset($rola_opt['github_url'] ) &&  $rola_opt['github_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($rola_opt['github_url']);?>" > <i class="bx bxl-github"></i></a>
                <?php } ?>

                <?php if (isset($rola_opt['skype_url'] ) && $rola_opt['skype_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($rola_opt['skype_url']);?>" > <i class="bx bxl-skype"></i></a>
                <?php } ?>

                <?php if (isset($rola_opt['rss_url'] ) && $rola_opt['rss_url'] ) { ?>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($rola_opt['rss_url']);?>" > <i class="bx bx-rss"></i></a>
                <?php } ?>
            </li>
        </ul>

    <?php
    }
endif; ?>